<?php

class Migration_20250615235024_subscription_pricings
{
    public static function up(PDO $pdo)
    {
        $pdo->exec("
            CREATE TABLE subscription_pricings (
                id INT AUTO_INCREMENT PRIMARY KEY,
                sub_fee VARCHAR(10) DEFAULT '0',
                camera_add VARCHAR(10) DEFAULT '0',
                number_add VARCHAR(10) DEFAULT '0',
                door_add VARCHAR(10) DEFAULT '0',
                minimum_balance VARCHAR(10) DEFAULT '0',
                created_at DATETIME DEFAULT CURRENT_TIMESTAMP
            )
        ");
    }

    public static function down(PDO $pdo)
    {
        $pdo->exec("DROP TABLE IF EXISTS subscription_pricings");
    }
}